tigase.jaxmpp.core.client.xmpp

## Class DefaultXMPPStream

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.DefaultXMPPStream

- All Implemented Interfaces:
    XMPPStream

      public abstract class DefaultXMPPStream
      extends Object
      implements XMPPStream

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultXMPPStream()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Element` | `getFeatures()`
    `void` | `setFeatures(Element features)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tigase.jaxmpp.core.client.xmpp.stream.XMPPStream

      `write`

- - ### Constructor Detail

    - #### DefaultXMPPStream

          public DefaultXMPPStream()

  - ### Method Detail

    - #### getFeatures

          public Element getFeatures()

      Specified by:
        `getFeatures` in interface `XMPPStream`

    - #### setFeatures

          public void setFeatures(Element features)

      Specified by:
        `setFeatures` in interface `XMPPStream`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006–2020 Tigase. All rights reserved.